include:
  - project: "empaia/integration/ci-templates"
    ref: "main"
    file:
      - "pipeline-templates/pipeline-base.yml"
      - "job-templates/poetry-get-version.yml"
      # - "job-templates/check-existing-docker-harbor.yml"
      - "job-templates/check-existing-docker.yml"
      - "job-templates/docker-build-dev.yml"
      - "job-templates/docker-image-scan.yml"
      - "job-templates/docker-container-alive-test.yml"
      # - "job-templates/docker-build-and-push-harbor.yml"
      - "job-templates/docker-build-and-push.yml"
      - "job-templates/bot-add-release-version-tag.yml"


variables:
  TITLE: "MINIO PROXY"
  RUNNER_TAG: "empaia-parallel"
  RUNNER_DOCKER_TAG: "empaia-docker"

poetry-get-version:
  extends: .poetry-get-version

check-existing-docker:
  extends: .check-existing-docker
  # variables:
  #   IMAGE_NAME: $INTERNAL_REGISTRY_URL/empaia/minio-proxy
  needs:
    - job: poetry-get-version
      artifacts: true

docker-build-dev:
  extends: .docker-build-dev

docker-image-scan:
  extends: .docker-image-scan
  needs:
    - job: docker-build-dev

docker-container-alive-test:
  extends: .docker-container-alive-test
  needs:
    - job: docker-build-dev

docker-build-and-push:
  extends: .docker-build-and-push
  # variables:
  #   IMAGE_NAME: $INTERNAL_REGISTRY_URL/empaia/minio-proxy
  needs:
    - job: docker-image-scan
    - job: docker-container-alive-test
      optional: true
    - job: check-existing-docker
      optional: true
    - job: poetry-get-version
      artifacts: true

bot-add-release-version-tag:
  extends: .bot-add-release-version-tag
  needs:
    - job: docker-build-and-push
      optional: true
    - job: poetry-get-version
      artifacts: true
